<?php

namespace App\Http\Controllers\admin;
use PDF;
use App\Models\Merge;
use App\Models\Order;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class MergeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $merges = Merge::query();
        if ($request->search) {
            $search = $request->search;
           $merges->where(function ($query) use ($search, $merges) {
                $merges->where('name', 'LIKE', "%{$search}%");
           });
        }
        $merges = $merges->latest()->paginate(50);
        return view('admin.merge.all', compact(['merges']));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        $user=auth()->user();
        $orders = explode(',', $request->array);
        $data['status']='created';
           $merge=$user->merges()->create($data);
           $total=0;
        for($i = 0; $i <sizeof(  $orders); $i++){
            $order=Order::find($orders[$i]);
            $order->update(['status'=>'merged','merge_id'=> $merge->id]);
            $total+= $order->sum;
        }
        $data['merge_id']= $merge->id;
        $submission=$user->submissions()->create($data);
        $merge->update(['sum'=>$total,'submission_id'=>$submission->id]);
        $user=auth()->user();
        $arr=[];
        // $sum=0;
        foreach ($merge->orders as $order){
            $pro=$order->products()->pluck('id')->toArray();
            foreach ($order->products as $product){
                $arr[ $product->id]=  [
                    'name'=>$product->name,
                    'price'=>$product->pivot->price,
                    'quantity'=>isset(  $arr[ $product->id])?$arr[ $product->id]['quantity']+$product->pivot->quantity:$product->pivot->quantity,
                    'total'=>isset(  $arr[ $product->id])? $product->pivot->price *($arr[ $product->id]['quantity']+$product->pivot->quantity):$product->pivot->price * $product->pivot->quantity,
                    'category_id'=>$product->pivot->category_id,
                ];
                // $sum+= $arr[ $product->id]['total'];
            }
        }
        $data['status']='created';
        $data['merge_id']=$merge->id;
        foreach($arr as $key=>$val){
            $submission->products()->attach($key,$val);
        }
        $merge->update(['submission_id',$submission->id]);
        $submission->update(['sum'=>$submission->products->sum('pivot.total')]);
        alert()->success('Merge Created;');
        return redirect()->route('merge.index');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        alert()->success(' New  merge created' );
        return redirect()->route('merge.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Merge $merge,Request $request)
    {
        $pdf=$request->pdf;
        if($request->pdf){
            $html =view('admin.merge.show', compact(['merge','pdf']))->render();
            $pdf = PDF::loadHTML($html);
            $name =  'merge_'.$merge->id ;
            return $pdf->download("$name.pdf");
        }

        return view('admin.merge.show', compact(['merge','pdf']));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Merge $merge)
    {
        return view('admin.merge.edit',compact(['merge']));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Merge $merge)
    {

    return redirect()->route('merge.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Merge $merge)
    {
        $merge->submission->products()->sync([]);
        $merge->submission->delete();
        // $merge->products->sync([]);
       foreach( $merge->orders as $order){
        $order->update(['status'=>'created']);
       }
        $merge->delete();
        alert()->success(' merge deleted');
        return redirect()->route('merge.index');
    }
}
