<?php

namespace App\Http\Controllers\admin;

use App\Models\Room;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
class RoomController extends Controller
{
     /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $rooms = Room::query();
        if ($request->search) {
            $search = $request->search;
           $rooms->where(function ($query) use ($search, $rooms) {
                $rooms->where('name', 'LIKE', "%{$search}%");
           });
        }
        $rooms = $rooms->latest()->paginate(50);
        return view('admin.room.all', compact(['rooms']));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {


        return view('admin.room.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->all());
        $data=$request->validate([
            'name'=>'required|min:3|unique:rooms,name',
        ]);
        $user=auth()->user();
        $user->rooms()->create($data);
        alert()->success(' New  class created' );
        return redirect()->route('room.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Room $room)
    {
        return view('admin.room.show', compact(['room']));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Room $room)
    {
        return view('admin.room.edit',compact(['room']));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Room $room)
    {

        $data=$request->validate([
            'name'=>'required|min:3|unique:rooms,name,'.$room->id,
        ]);
    $room->update($data);
    alert()->success('   class updated' );
    return redirect()->route('room.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
