<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    use HasFactory;
    protected $fillable=[
        'user_id',
        'merge_id',
        'room_id',
        'status',
        'name',
        'note',
        'sum',
        'release',
    ];
    public function user(){
        return $this->belongsTo(User::class);
    }
    public function room(){
        return $this->belongsTo(Room::class);
    }
    public function merge(){
        return $this->belongsTo(Merge::class);
    }
    public function products(){
        return $this->belongsToMany(Product::class)->withPivot([
            'name',
            'price',
            'total',
            'quantity',
            'category_id',
        ]);
    }
}
