<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;
    protected $fillable=[
        'user_id',
        'category_id',
        'supplier_id',
        'name',
        'price',
        'active',
    ];
    public function category(){
        return $this->belongsTo(Category::class);
    }
    public function supplier(){
        return $this->belongsTo(Supplier::class);
    }
    public function user(){
        return $this->belongsTo(User::class);
    }
    public function orders(){
        return $this->belongsToMany(Order::class)->withPivot([
            'name',
            'price',
            'total',
            'quantity',
            'category_id',
        ]);
    }
    public function submissions(){
        return $this->belongsToMany(Submission::class)->withPivot([
            'name',
            'price',
            'total',
            'quantity',
            'category_id',
        ]);
    }
}
