<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use App\Models\Room;
use App\Models\Merge;
use App\Models\Order;
use App\Models\Product;
use App\Models\Category;
use App\Models\Supplier;
use App\Models\Submission;
use Laravel\Sanctum\HasApiTokens;
use Illuminate\Support\Facades\Route;
use Spatie\Permission\Traits\HasRoles;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable, HasRoles;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        'username',
        'phone',
        'role',
        'active',
    ];


    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
    public function categories(){
        return $this->hasMany(Category::class);
    }
    public function suppliers(){
        return $this->hasMany(Supplier::class);
    }
    public function room(){
        return $this->belongsTo(Room::class);
    }
    public function products(){
        return $this->hasMany(Product::class);
    }
    public function orders(){
        return $this->hasMany(Order::class);
    }
    public function merges(){
        return $this->hasMany(Merge::class);
    }public function rooms(){
        return $this->hasMany(Room::class);
    }
    public function submissions(){
        return $this->hasMany(Submission::class);
    }

        function is_active($key,$class="active"){
            if(is_array($key)){
                return in_array(Route::currentRouteName(),$key)?$class:'';
            }
            return (Route::currentRouteName()==$key)?$class:'';
        }

}
