<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('submissions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->unsignedBigInteger('merge_id');
            $table->string('status')->nullable();
            $table->integer('sum')->nullable();
            $table->text('note')->nullable();
            $table->string('name')->nullable();
            $table->timestamp('release')->nullable();
            $table->timestamps();
        });
           Schema::create('product_submission', function (Blueprint $table) {
            $table->unsignedBigInteger('product_id');
            // $table->foreign('products_id')->references('id')->on('curts')->onDelete('cascade');
            $table->unsignedBigInteger('submission_id');
            // $table->foreign('submission_id')->references('id')->on('submissions')->onDelete('cascade');
            $table->string('name')->nullable();
            $table->integer('price')->nullable();
            $table->integer('quantity')->nullable();
            $table->integer('total')->nullable();
            $table->unsignedBigInteger('category_id')->nullable();
            $table->primary(['product_id','submission_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('product_submission');
        Schema::dropIfExists('submissions');
    }
};
