@extends('main.manager')

@section('content')

<!-- Page title -->
<div class="page-header d-print-none">
    <div class="row align-items-center">
        <div class="col">
            <h2 class="page-title">
            Παραγγελία
                ({{$orders->total()}})

            </h2>
        </div>
    </div>
    <form class="bl" action="{{route('order.index') }}" method="get">
        @csrf
        @method('get')
        <div class="row align-items-center">
            {{-- <div class="col-md-6">
                        <div class="form-label">شهرستان</div>
                        <select value="{{old('shahr_id')}}" class="form-select" name="shahr_id">
            </select>
        </div> --}}
        <div class="col-3">
            <div class="d-flex ">
                <input type="text" name="search" value="{{request('search')}}" class="form-control d-inline-block w-9 me-3" placeholder=" search  ">
                <input type="text" name="status" value="{{request('status')}}" hidden>

            </div>
        </div>
        <div class="col-3">
            <div class="d-flex ">
                <label for="to">από</label>
                <input type="date" name="from"   value="{{request('from')?Carbon\Carbon::parse(request('from'))->format('Y-m-d'):''}}" class="form-control d-inline-block w-9 me-3" placeholder=" from  ">

            </div>
        </div>
        <div class="col-3">
            <div class="d-flex ">
                <label for="to">μέχρι</label>
                <input type="date" name="to"   value="{{request('to')?Carbon\Carbon::parse(request('to'))->format('Y-m-d'):''}}"  class="form-control d-inline-block w-9 me-3" placeholder=" to  ">
            </div>
        </div>
         <div class="col-3">
            <div class="d-flex ">
                <button class="btn btn-dark w-100">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-search" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                        <circle cx="10" cy="10" r="7"></circle>
                        <line x1="21" y1="21" x2="15" y2="15"></line>
                    </svg>
                    search
                </button>
            </div>
        </div>


        {{-- <div class="col-3 col-sm-4 col-md-2 col-xl py-3">
            <a href="{{ route('/order.index',['status'=>'merged']) }}" class="btn {{ request('status')=='merged'?'disabled':'' }}  pointer  btn-success ml-1">
            Kλειδωμένες παραγγελίες
            </a>
        </div>
        <div class="col-3 col-sm-4 col-md-2 col-xl py-3">
            <a href="{{ route('order.index',['status'=>'created']) }}"   class="btn {{ request('status')=='created'?'disabled':'' }} pointer  btn-success ml-1">
            Νέες παραγγελίες
            </a>
        </div> --}}
        <div class="col-12 col-sm-4 col-md-2 col-xl py-3" style="text-align: right">
            <a href="{{ route('order.create') }}" class="btn btn-primary ml-1">
            Υποβολή παραγγελίας
            </a>
            @role('admin')
                <span id="merge"  class="btn disabled pointer  btn-danger ml-1">
                    Merge
                </span>
            @endrole
        </div>
</div>
</form>



</div>


<div class="col-12">
    <div class="card">
        <div class="table-responsive">
            <table class="table table-vcenter card-table table-striped">
                <thead>
                    <tr>
                        <th>

                            <input type="checkbox" id="check_all">
                         </th>
                        <th>ID</th>
                        <th>Όνομα</th>
                        <th>Τάξης</th>
                        <th>Καθηγητής</th>
                        <th>Σύνολο	
                        </th>
                        <th>Ημερομηνία Καταχώρησης</th>
                        <th>ημερομηνία δημιουργίας</th>
                        <th>Κατάσταση</th>
                        <th>Λειτουργία</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($orders as $order)
                    <tr>
                        @role('admin')
                        <td>

                        @if($order->status=='created')
                            <input data-id="{{ $order->id }}" type="checkbox" class="singe_check">
                        @endif
                    </td>

                        @endrole

                        <td>{{ $loop->iteration }}</td>
                        <td>{{ $order->name}}</td>
                        <td>{{ $order->room->name}}</td>
                        <td>{{ $order->user->name}}</td>
                        <td>{{ $order->sum}}</td>
                        <td>{{ $order->release }} </td>
                        <td>{{ $order->created_at }} </td>
                        <td>{{ $order->status }} </td>

                        <td>
                            {{-- <a href="{{ route('order.edit',$order->id) }}">Edit</a> --}}

                            <form  onsubmit="return confirm('Do you really want to submit the form?');" action="{{ route('order.destroy',$order->id) }}" method="post">
                                @csrf
                                @method('DELETE')
                                @if($order->status=='created')
                                <input type="submit" class="btn btn-danger " value="Delete">
                                @endif
                                @if($order->status=='created')
                                <a class="btn btn-primary  " href="{{ route('order.edit',$order->id) }}"> Επεξεργασία</a>
                                @endif

                            <a class="btn btn-success  " href="{{ route('order.show',$order->id) }}"> Λεπτομέρεια</a>

                            </form>

                        </td>
                    </tr>
                    @endforeach


                </tbody>
            </table>
        </div>
    </div>
</div>
<div class="d-flex mt-4">
    {{ $orders->appends(Request::all())->links('admin.section.pagination') }}
</div>
</div>

@endsection
