@extends('main.manager')

@section('content')

<!-- Page title -->
<div class="page-header d-print-none">
    <div class="row align-items-center">
        <div class="col">
            <h2 class="page-title">
            Υποβολή παραγγελίας

            </h2>

        </div>
    </div>


</div>
<div class="card">
    @include('main.error')

    <div class="card-body ">
        <div class="row row-cards">
            <div class="col-xl-12">



                <div class="row">
                    <div class="col-lg-6">
                        <div class="mb-3">
                            <label class="form-label"> Όνομα</label>
                            <input tabindex="1" type="text" form="order_form" name="name" id="name" class="form-control" value="{{ old('name') }}" placeholder="Enter  Name">
                        </div>
                        <div class="mb-3">
                            <label class="form-label"> Ημερομηνία</label>
                            <input tabindex="2" min="{{  Carbon\Carbon::now()->addDays(8)->format('Y-m-d') }}" type="date" form="order_form"  name="release" id="release" class="form-control" value="{{ old('release') }}" placeholder="Enter  Date">
                        </div>
                        <div class="mb-3">
                            <div class="form-label">Τάξης</div>
                            <select tabindex="3" class="form-select select2 brand" form="order_form"  name="room_id" id="room">
                                <option value="">Παρακαλώ επιλέξτε</option>
                                @foreach (App\Models\Room::all() as $room)
                                <option {{ old('room_id')== $room->id?'selected':'' }} value="{{ $room->id }}">{{ $room->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3">
                            <label class="form-label"> Σημείωση</label>
                            <textarea tabindex="4" form="order_form"  name="note" class="form-control" data-bs-toggle="autosize" placeholder="Type something…" style="overflow: hidden; overflow-wrap: break-word; resize: none; height: 56px;">{{ old('note') }}</textarea>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="mb-3">
                            <div class="form-label">Κατηγορίες</div>
                            <select tabindex="5" class="form-select select2 category on_select brand" name="category" id="category">
                                <option value="">Παρακαλώ επιλέξτε</option>
                                @foreach (App\Models\Category::whereActive(1)->get() as $category)
                                <option {{ old('category_id')== $category->id?'selected':'' }} value="{{ $category->id }}">{{ $category->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3">
                            <div class="form-label">Προϊόν</div>
                            <select tabindex="6" class="form-select select2 product brand on_select" name="product" id="product">

                            </select>
                        </div>
                        <div class="mb-3">
                            <label class="form-label"> Ποσότητα</label>
                            <input tabindex="7" type="number"  step="0.01"  name="release" id="quantity" class="form-control on_select" value="{{ old('release') }}" placeholder="Enter  Quantity">
                        </div>
                        <div class="row">
                            <h1>
                                result
                            </h1>
                            <table>
                                <thead>
                                    <tr>
                                        <th>Kατηγορία</th>
                                        <th>Προϊόν</th>
                                        <th>Ποσότητα</th>
                                        <th>Τιμή το καθένα	</th>
                                        <th>Σύνολο</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>
                                            <span class="r_category"></span>
                                        </td>
                                        <td>
                                            <span class="r_product"></span>
                                        </td>
                                        <td>
                                            <span class="r_quantity"></span>
                                        </td>
                                        <td>
                                            <span class="r_price"></span>
                                        </td>
                                        <td>
                                            <span class="r_result"></span>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12 text-right" style="text-align:right;">
                            <span tabindex="8" class="btn btn-success add_product_to_order"> Επιλογή Προϊόντων</span>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </div>

</div>
<br>
<br>
<form action="{{ route('order.store') }}" method="post" id="order_form">
    @csrf
    @method('post')
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <h1 class="card-title">Παραγγελία </h1>

            </div>
            <div class="table-responsive">
                <table class="table table-vcenter card-table table-striped">
                    <thead>
                        <tr>
                            <th>id</th>
                            <th>Kατηγορία</th>
                            <th>Προϊόν</th>
                            <th>Ποσότητα</th>
                            <th>Τιμή το καθένα	</th>
                            <th>Σύνολο</th>
                            <th>Λειτουργία</th>
                        </tr>
                    </thead>
                    <tbody id="t_body_order">


                    </tbody>
                </table>
            </div>
            <div class="card-footer d-flex align-items-center">
                <ul class="pagination m-0 ms-auto">
                    {{-- <input name="save" type="submit" class="btn btn-warning" value="Save Order" style="margin-right:20px">
                    <input name="submit" type="submit" class="btn btn-primary" value="Submit"> --}}
                    <span class="btn btn-primary" id="submit_order"> Υποβολή </span>
                </ul>
            </div>
        </div>
    </div>
</form>


@endsection
