@extends('main.manager')

@section('content')

<!-- Page title -->
<div class="page-header d-print-none">
    <div class="row align-items-center">
        <div class="col">
            <h2 class="page-title">
            Ενημέρωση Παραγγελία {{ $order->name }}

            </h2>

        </div>
    </div>


</div>
<div class="card">
    @include('main.error')

    <div class="card-body ">
        <div class="row row-cards">
            <div class="col-xl-12">



                <div class="row">
                    <div class="col-lg-6">
                        <div class="mb-3">
                            <label class="form-label"> Όνομα</label>
                            <input tabindex="1" type="text" form="order_form" name="name" id="name" class="form-control" value="{{ old('name',$order->name) }}" placeholder="Enter  Name">
                        </div>
                        <div class="mb-3">
                            <label class="form-label"> Ημερομηνία</label>
                            <input tabindex="2" type="date" form="order_form"  name="release" id="release" class="form-control" value="{{ old('release',Carbon\Carbon::parse($order->release)->format('Y-m-d')) }}" placeholder="Enter  Date">
                        </div>
                        <div class="mb-3">
                            <div class="form-label">Τάξης</div>
                            <select tabindex="3" class="form-select select2 brand" form="order_form"  name="room_id" id="room">
                                <option value="">please select</option>
                                @foreach (App\Models\Room::all() as $room)
                                <option {{ old('room_id',$order->room_id)== $room->id?'selected':'' }} value="{{ $room->id }}">{{ $room->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3">
                            <label class="form-label"> Σημείωση</label>
                            <textarea tabindex="4" form="order_form"  name="note" class="form-control" data-bs-toggle="autosize" placeholder="Type something…" style="overflow: hidden; overflow-wrap: break-word; resize: none; height: 56px;">{{ old('note',$order->note) }}</textarea>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="mb-3">
                            <div class="form-label">Κατηγορίες</div>
                            <select tabindex="5" class="form-select select2 category on_select brand" name="category" id="category">
                                <option value="">please select</option>
                                @foreach (App\Models\Category::all() as $category)
                                <option {{ old('category_id',$order->category_id)== $category->id?'selected':'' }} value="{{ $category->id }}">{{ $category->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3">
                            <div class="form-label">Προϊόν</div>
                            <select tabindex="6" class="form-select select2 product brand on_select" name="product" id="product">

                            </select>
                        </div>
                        <div class="mb-3">
                            <label class="form-label"> Ποσότητα</label>
                            <input tabindex="7" type="number"  step="0.01"  name="release" id="quantity" class="form-control on_select" value="{{ old('release',$order->release) }}" placeholder="Enter  Quantity">
                        </div>
                        <div class="row">
                            <h1>
                                result
                            </h1>
                            <table>
                                <thead>
                                    <tr>
                                        <th>Kατηγορία</th>
                                        <th>Προϊόν</th>
                                        <th>Ποσότητα</th>
                                        <th>Τιμή το καθένα	</th>
                                        <th>Σύνολο</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>
                                            <span class="r_category"></span>
                                        </td>
                                        <td>
                                            <span class="r_product"></span>
                                        </td>
                                        <td>
                                            <span class="r_quantity"></span>
                                        </td>
                                        <td>
                                            <span class="r_price"></span>
                                        </td>
                                        <td>
                                            <span class="r_result"></span>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6 text-left" style="text-align:left;">
                            <form action="{{ route('order.update',[ $order->id,'duplicate'=>true]) }}" method="post">
                                @csrf
                                @method('patch')
                                <input type="submit"  value="Duplicate" class="btn btn-warning ">
                            </form>
                        </div>
                        <div class="col-lg-6 text-right" style="text-align:right;">
                            <span tabindex="8" class="btn btn-success add_product_to_order"> Επιλογή Προϊόντων</span>
                        </div>

                    </div>

                </div>

            </div>
        </div>
    </div>

</div>
<br>
<br>
<form action="{{ route('order.update',$order->id) }}" method="post" id="order_form">
    @csrf
    @method('patch')
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <h1 class="card-title">Order </h1>

            </div>
            <div class="table-responsive">
                <table class="table table-vcenter card-table table-striped">
                    <thead>
                        <tr>
                            <th>id</th>
                            <th>Kατηγορία</th>
                            <th>Προϊόν</th>
                            <th>Ποσότητα</th>
                            <th>Τιμή το καθένα	</th>
                            <th>Σύνολο</th>
                            <th>Λειτουργία</th>
                        </tr>
                    </thead>
                    <tbody id="t_body_order">
                        @foreach ($order->products as $product )
                        <tr class="par">
                            <td>
                                <span class="count">
                                    {{ $loop->iteration }}
                                </span>
                            </td>
                            <td>
                                <span class="tr_category">
                                  {{$product->category->name}}
                                </span>
                                <input type="text" hidden class="category_val" name="categories[]" hidden value="{{ $product->pivot->category_id }}">
                            </td>
                            <td>
                                <span class="tr_product"> {{$product->name}}</span>
                                <input type="text" hidden class="products_val" name="products[]" hidden value="{{ $product->id }}">
                            </td>
                            <td>
                                <span class="tr_quantity edit_able_order_quantity">{{ $product->pivot->quantity }}</span>
                                <input type="text" hidden class="quantity_val" name="quantities[]" hidden value="{{ $product->pivot->quantity }}">
                            </td>
                            <td>
                                <span class="tr_price">
                                    {{ $product->price }}
                                </span>
                                <input type="text" hidden class="price_val" name="prices[]" hidden value="{{ $product->price }}">

                            </td>
                            <td>
                                <span class="tr_result"> {{ $product->pivot->total }}</span>
                            </td>
                            <td>

                                <span class="remove_row_order pointer">
                                <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-trash" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                <line x1="4" y1="7" x2="20" y2="7"></line>
                                <line x1="10" y1="11" x2="10" y2="17"></line>
                                <line x1="14" y1="11" x2="14" y2="17"></line>
                                <path d="M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2 -2l1 -12"></path>
                                <path d="M9 7v-3a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v3"></path>
                             </svg>

                             </span>

                            </td>
                          </tr>
                        @endforeach

                    </tbody>
                </table>
            </div>
            <div class="card-footer d-flex align-items-center">
                <ul class="pagination m-0 ms-auto">
                    {{-- <input name="save" type="submit" class="btn btn-warning" value="Save Order" style="margin-right:20px">
                    <input name="submit" type="submit" class="btn btn-primary" value="Submit"> --}}
                    <span class="btn btn-primary" id="submit_order"> Υποβολή</span>
                </ul>
            </div>
        </div>
    </div>
</form>


@endsection
