@extends('main.manager')

@section('content')

<!-- Page title -->
<div class="page-header d-print-none">
    <div class="row align-items-center">
        <div class="col">
            <h2 class="page-title">
            Επεξεργασία προϊόντος
                {{ $product->name }}

            </h2>
        </div>
    </div>


</div>
<div class="card">
    @include('main.error')
   <form action="{{ route('product.update',$product->id) }}" method="post">
    @csrf
    @method('patch')
    <div class="card-body ">
        <div class="row row-cards">
            <div class="col-xl-12">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label"> NaΌνομαme</label>
                                <input tabindex="1" type="text" name="name" class="form-control"  value="{{ old('name',$product->name) }}"  placeholder="Enter  Name">
                              </div>


                        </div>
                        {{-- <div class="col-md-4">
                            <div class="mb-3">
                                <label class="form-label"> Email</label>
                                <input type="email" name="email" class="form-control"  value="{{ old('email',$product->email) }}"  placeholder="Enter  Email ">
                              </div>
                        </div> --}}
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label"> Τιμή</label>
                                <input tabindex="3" type="number" name="price" class="form-control" step="0.01"  value="{{ old('price',$product->price) }}"  placeholder="Enter  Price ">
                              </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <div class="form-label">Προμηθευτές</div>
                                <select  tabindex="2"    name="supplier_id"  class="form-select select2">
                                    <option value="">επιλέξτε μια επιλογή</option>
                                    @foreach (App\Models\Supplier::whereActive(1)->get() as $supplier)
                                        <option {{ old('supplier_id',$product->supplier_id)== $supplier->id?'selected':''}} value="{{ $supplier->id }}">{{ $supplier->name }}</option>
                                    @endforeach
                                </select>
                              </div>
                        </div>

                        <div class="col-md-6">
                            <div class="mb-3">
                                <div class="form-label">Κατηγορίες</div>


                                <select  tabindex="4"  name="category_id" class="form-select select2">
                                    <option value="">επιλέξτε μια επιλογή</option>
                                    @foreach (App\Models\Category::all() as $catrgory)
                                        <option {{ old('catrgory_id',$product->category_id)== $catrgory->id?'selected':''}} value="{{ $catrgory->id }}">{{ $catrgory->name }}</option>
                                    @endforeach
                                </select>
                              </div>
                        </div>
                        <div class="col-md-3">
                            <div class="mb-3">
                                <label class="form-label">Active Useable </label>
                                <div class="divide-y">
                                    <div>
                                        <input  type="text"  name="active"  value="0"  hidden >
                                        <label class="row">
                                            <span class="col">if checked product is  usable  </span>
                                            <span class="col-auto">
                                                <label class="form-check form-check-single form-switch">
                                                    <input class="form-check-input" type="checkbox"  name="active"  value="1"  {{old('active',$product->active)?'checked':'' }} >
                                                </label>
                                            </span>
                                        </label>
                                    </div>
                                </div>
                            </div>

                        </div>

                        {{-- <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label">Info</label>
                                <textarea name="info" id="" cols="30" class="form-control"  rows="5">{{ old('info',$product->info) }}</textarea>
                              </div>
                        </div> --}}
                    </div>



            </div>
        </div>
    </div>
    <div class="card-footer text-end">
        <div class="d-flex">
          <a href="{{ route('product.index') }}" class="btn btn-link">Ακύρωση</a>
          <button tabindex="4" type="submit" class="btn btn-primary ms-auto">Υποβολή</button>
        </div>
      </div>
   </form>
</div>



@endsection
