@extends(($pdf ? 'main.pdf' : 'main.manager'))

@section('content')

@if (!$pdf)
<h1 style="text-align:right;margin-top:30px">
    <a href="{{ route('submission.show', [$submission->id, 'pdf' => true]) }}" class="btn btn-danger">PDF</a>
</h1>
@endif

@foreach ($suppliers as $supplierId)
    @php
        $supplier = App\Models\Supplier::find($supplierId);
        $products = $submission->products()->where('products.supplier_id', $supplierId)->get();
    @endphp




<!-- Page title -->
<div class=" d-print-none">
    <div class="row align-items-center">
       <table border="0" width="600px" >
                               
                            
            <thead>
                                    
                <tr>
                    <th width="300px"  border="0">
                        <h6 class="col-lg-12">
                            Ημερομηνία παράδοσης : {{ Carbon\Carbon::parse($submission->release)->format('Y-m-d') }}
                            <br>
                            Σημείωση : {{ $submission->name }}
                            <br>
                            Σημείωση : {{ $submission->note }}
                            <br>
                          
                            <br>
                        </h6>
                    </th>
                    <th width="150px">
                        <div class="col-lg-12" style="text-align:center">
                            @if(!$pdf)
                            <img src="{{ asset("/logo/logo.png") }}" width="144" height="73" alt="Tabler" class=" ">
                            @else
                            <img src="{{ public_path("/logo/logo.png") }}" width="144" height="73" alt="Tabler" class=" ">
                            @endif
                        </div>
                    </th>
                    <th width="150px">
                        <h6 >
                            <div class="col-lg-12" style="text-align:center;">
                               
                            </div>
                        </h6>
                    </th>
                                        
                                        
                </tr>
                                    
            </thead>
                    
                               
        </table>
    </div>
</div>








    <!-- Supplier section -->
    <div class="card">
        <div class="card-body">
            <h2 class="card-title">{{ $supplier->name }}</h2>

            <div class="table-responsive">
                <table class="table table-vcenter card-table table-striped">
                    <thead>
                        <tr>
                            <th>id</th>
                            <th>category</th>
                            <th>product</th>
                            <th>quantity</th>
                            <th>price</th>
                            <th>total</th>
                        </tr>
                    </thead>
                    <tbody id="t_body_submission">
                        @foreach ($products as $product)
                            <tr class="par">
                                <td>{{ $loop->iteration }}</td>
                                <td>
                                     @if ($category = App\Models\Category::find($product->pivot->category_id))
                                    {{ $category->name }}
                                     @endif
                                </td>
                                <td>{{ $product->name }}</td>
                                <td>{{ $product->pivot->quantity }}</td>
                                <td>{{ $product->pivot->price }}</td>
                                <td>{{ $product->pivot->total }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div class="page_break"></div>
@endforeach

<div class="card">
    <div class="card-body">
        <div class="row">
            <h1 style="text-align:right;margin-top:30px">
               Sum: € {{ $submission->sum }}
            </h1>
        </div>
    </div>
</div>
@endsection
