@extends('main.manager')

@section('content')
    <!-- Page title -->
    <div class="page-header d-print-none">
        <div class="row align-items-center">
            <div class="col">
                <h2 class="page-title">
                    Create new user

                </h2>
            </div>
        </div>


    </div>
    <div class="card">
        @include('main.error')
        <form action="{{ route('user.update', $user->id) }}" method="post">
            @csrf
            @method('patch')
            <div class="card-body ">
                <div class="row row-cards">
                    <div class="col-xl-12">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label"> Name</label>
                                    <input tabindex="1" type="text" name="name" class="form-control"
                                        value="{{ old('name', $user->name) }}" placeholder="Enter  Name">
                                </div>

                                <div class="mb-3">
                                    <label class="form-label"> Email</label>
                                    <input tabindex="2" type="email" name="email" class="form-control"
                                        value="{{ old('email', $user->email) }}" placeholder="Enter  Email  ">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label"> Phone</label>
                                    <input tabindex="3" type="tell" name="phone" class="form-control"
                                        value="{{ old('phone', $user->phone) }}" placeholder="Enter  Phone  ">
                                </div>
                                <div class="mb-3">
                                    <div class="form-label">Role</div>
                                    <select tabindex="4" class="form-select select2" name="role" id="role">
                                        <option value="">please select</option>
                                        <option {{ old('role', $user->role) == 'teacher' ? 'selected' : '' }} value="teacher">
                                            teacher</option>
                                        <option {{ old('role', $user->role) == 'admin' ? 'selected' : '' }} value="admin">admin
                                        </option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label">User Name</label>
                                    <input tabindex="5" type="text" name="username" class="form-control"
                                        value="{{ old('username', $user->username) }}" placeholder="Enter User Name">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Password</label>
                                    <input tabindex="6" type="text" name="password" class="form-control"
                                        value="{{ old('password', $user->password) }}" placeholder="Enter Password ">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Confirm password</label>
                                    <input tabindex="7" type="text" name="password_confirmation" class="form-control"
                                        value="{{ old('password_confirmation', $user->password) }}"
                                        placeholder="Enter password confirmation ">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Active Login</label>
                                    <div class="divide-y">
                                        <div>
                                            <input  type="text"  name="active"  value="0"  hidden >
                                            <label class="row">
                                                <span class="col">if checked user cannot login  </span>
                                                <span class="col-auto">
                                                    <label class="form-check form-check-single form-switch">
                                                        <input class="form-check-input" type="checkbox"  name="active"  value="1"  {{old('active', $user->active)?'checked':'' }} >
                                                    </label>
                                                </span>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>



                    </div>
                </div>
            </div>
            <div class="card-footer text-end">
                <div class="d-flex">
                    <a href="{{ route('user.index') }}" class="btn btn-link">Cancel</a>
                    <button type="submit" class="btn btn-primary ms-auto">Send data</button>
                </div>
            </div>
        </form>
    </div>
@endsection
