<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('generate-pdf', [PDFController::class, 'generatePDF']);

Route::namespace('admin')->middleware('web')->group(function () {
    Route::post('/check_login', 'AdminController@check_login')->name('admin.check.login');
    Route::get('/clear', 'AdminController@clear');

    Route::get('/', 'AdminController@login')->name('login');
});
Route::prefix('admin')->namespace('admin')->middleware(['auth'])->group(function () {
    Route::get('/logout', 'AdminController@logout')->name('logout');

    Route::post('/get_product/{category}','ProductController@get_product')->name('get.product')->middleware(['role:admin|teacher']);
    Route::resource('user', 'UserController')->middleware(['role:admin']);
    Route::resource('supplier', 'SupplierController')->middleware(['role:admin']);
    Route::resource('category', 'CategoryController')->middleware(['role:admin']);
    Route::resource('room', 'RoomController')->middleware(['role:admin']);
    Route::resource('product', 'ProductController')->middleware(['role:admin']);
    Route::resource('order', 'OrderController')->middleware(['role:admin|teacher']);
    Route::resource('merge', 'MergeController')->middleware(['role:admin']);
    Route::resource('submission', 'SubmissionController')->middleware(['role:admin']);
});


