@extends(($pdf ?'main.pdf' : 'main.manager' ))






@section('content')

@if(!$pdf)
<h1 style="text-align:right;margin-top:30px">
    <a href="{{ route('submission.show',[$submission->id,'pdf'=>true]) }}" class="btn btn-danger">PDF</a>

</h1>
@endif

@foreach ($categories as $key => $val)
@php
$category=App\Models\Category::find($val);
@endphp


<!-- Page title -->
<div class="page-header d-print-none">
    <div class="row align-items-center">
        
        <table border="0" width="600px" >
            <thead>
                <tr>
                    <th width="300px"  border="0">
                        <h6 class="col-lg-12">
                            <br>
                            Delivery Date : {{ Carbon\Carbon::parse($submission->release)->format('Y-m-d') }}
                            <br>
                            Note : {{ $submission->note }}
                            <br>
                        </h6>
                    </th>
                    <th width="150px">
                        <div class="col-lg-12" style="text-align:center">
                            @if(!$pdf)
                            <img src="{{ asset("/logo/logo.png") }}" width="144" height="73" alt="Tabler" class=" ">
                            @else
                            <img src="{{ public_path("/logo/logo.png") }}" width="144" height="73" alt="Tabler" class=" ">
                            @endif
                        </div>
                    </th>
                    <th width="150px">
                        <h6 >
                            <div class="col-lg-12" style="text-align:center;">
                                 Submission : {{ $submission->name }}
                            </div>
                        </h6>
                    </th>
                </tr>
            </thead>
        </table>
    </div>
</div>

<div class="card">
    <div class="card-body ">
        <div class="row">
            <div class="col-lg-12">

                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <h2 class="card-title">{{ $category->name }} </h2>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-vcenter card-table table-striped">
                                <thead>
                                    <tr>
                                        <th>id</th>
                                        <th>category</th>
                                        <th>product</th>
                                        <th>quantity</th>
                                        <th>price</th>
                                        <th>total</th>
                                    </tr>
                                </thead>
                                <tbody id="t_body_submission">

                                   @foreach ($submission->products()->wherePivot('category_id',$category->id )->get() as $product)
                                    <tr class="par">
                                        <td>
                                            {{$loop->iteration}}
                                        </td>
                                        <td>
                                            {{ App\Models\Category::find($product->pivot->category_id)->name }}
                                        </td>
                                         
                                        <td>
                                            {{ $product->name }}
                                        </td>
                                        <td>
                                            {{ $product->pivot->quantity }}
                                        </td>
                                        <td>
                                            {{ $product->pivot->price }}

                                        </td>
                                        <td>
                                            {{ $product->pivot->total}}
                                        </td>

                                    </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>

            </div>
        </div>
    </div>



</div>
<div class="page_break"></div>
@endforeach

<div class="card">
    <div class="card-body ">
        <div class="row">
            <h1 style="text-align:right;margin-top:30px">
               Sum: € {{ $submission->sum }}
            </h1>
        </div>
    </div>
</div>
@endsection
